    ## Replication for OLS fixed effects
    data <- read.table("park and jensen ajps 2007.txt",  header=TRUE)
    attach(data)
    cor(cbind(agshr, gdppercap, landperlabor, ruralpop, personal, coxenep, polcon5))

    ## OLS fixed-effects regressions
    ols0 <- lm(y ~ as.factor(country) + as.factor(commodity) + as.factor(year), data=data); summary(ols0)
    ols1 <- lm(y ~ production + consumption + agshr + gdppercap  +  landperlabor +  ruralpop +
                   as.factor(country) + as.factor(commodity) + as.factor(year), data=data); summary(ols1)
    ols2 <- lm(y ~ production + consumption + agshr + gdppercap  +  landperlabor +  ruralpop +
                   personal + polcon5 + enep1 + coxenep +
                   as.factor(country) + as.factor(commodity) + as.factor(year), data=data); summary(ols2)
    ols3 <- lm(y ~ production + consumption + agshr + gdppercap  +  landperlabor +  ruralpop +
                   personal + coxenep + polcon5 +  president + major + federal +
                   as.factor(country) + as.factor(commodity) + as.factor(year), data=data); summary(ols3)

    ## Regression without Cairns group countries
    nocairns <-  subset(data, data$country!=1&data$country!=2&data$country!=8&data$country!=11)
    ols4 <- lm(y ~ production + consumption + agshr + gdppercap  +  landperlabor +  ruralpop +
                   personal + coxenep + polcon5 +  president + major + federal +
                   as.factor(country) + as.factor(commodity) + as.factor(year), data=nocairns); summary(ols4)
